# SnowRunner 1.0.37
# BID: CD9E844E29E8CA80
# Just search for 0x42055555

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x3090F00
  -
    type: bytes
    main_offset: 0x192A254
    value_type: uint32
    value: 
      - 0xD000BB2A # adrp x10, #0x3090000
      - 0xBD4F0142 # ldr s2, [x10, #0xf00]
  # default value
  -
    type: bytes
    main_offset: 0x3090F00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x3090F00]
    value_type: float
    value: FRAMETIME_TARGET